<?php
$themename = "Stunning Silence";
$shortname = "stsi";
$options = array (

array(    "name" => "Color Scheme",
        "type" => "title"),

array(    "name" => "Color Scheme",
        "desc" => "Default color scheme is blue. Affects header gradient and search box color. Five options: '<i>blue</i>', '<i>green</i>', '<i>pink</i>', '<i>minim</i>' (minimalist greys), and '<i>light</i>' (super-simple).",
        "id" => $shortname."_cs",
        "std" => "",
        "type" => "text"),

array(    "name" => "Font Customization",
        "type" => "title"),

array(    "name" => "Enable Custom Font",
        "desc" => "Cufon is now disabled on default. When enabled, Stunning Silence will replace header and post headings with Droid Sans, a clean and simple font. If you are not using English or are having problems with header display do not enable this. To enable, type '<i>yes</i>', otherwise type '<i>no</i>' or leave blank.",
        "id" => $shortname."_cufonno",
        "std" => "",
        "type" => "text"),

array(    "name" => "Twitter Blurb",
        "type" => "title"),

array(    "name" => "Display Blurb?",
        "desc" => "<i>If you would not like the blurb to display, please leave this field blank.</i> If you would like the blurb, please type '<i>home</i>' or '<i>all</i>' depending whether you want it on just the home page or everywhere.",
        "id" => $shortname."_twdisplay",
        "std" => "",
        "type" => "text"),

array(    "name" => "Twitter Username",
        "desc" => "You must have a username in this field <i>if you would like to display the blurb.</i>",
        "id" => $shortname."_twuser",
        "type" => "text"),
        
array(    "name" => "Twitter Logo",
        "desc" => "Two different twitter logos are available for selection: <i>logo1</i> and <i>logo2</i>. Logo 1 features a solid background while Logo 2 (the default for older versions of Stunning Silence) does not. Logo 1 by <a href='http://komodomedia.com'>Komodo Media</a>.",
        "id" => $shortname."_twlogo",
        "type" => "text"),

array(    "name" => "Navigation",
        "type" => "title"),

array(    "name" => "Floating Navigation",
        "desc" => "Normally the navigation stays at the top of the screen for users to use. If you would not like this, please type '<i>no</i>'. Otherwise, leave blank or type '<i>yes</i>'.",
        "id" => $shortname."_navfloat",
        "type" => "text"),

array(    "name" => "Text Preceding Navigation",
        "desc" => "Normally, the word 'Navigation:' precedes the navigation links. If you would <i>not</i> like this, please type your own text or to omit it entirely, type '<i>none</i>'. Otherwise, leave blank to display 'Navigation:'. Some good examples of this include '<i>Links:</i>' or '<i>Places:</i>'.",
        "id" => $shortname."_navtext",
        "type" => "text"),

array(    "name" => "Background of Navigation",
        "desc" => "The background for the navigation bar is a light gray. To change this, please enter a color in hex above (such as #9ab492), including the '#'. For a good color picker, visit <a href='http://acko.net/dev/farbtastic'>here</a> and use the one on the page.",
        "id" => $shortname."_navbg",
        "type" => "text"),

array(    "name" => "Alignment of Navigation",
        "desc" => "The text is normally aligned to the left. If you would prefer to have it to the center or right, please type '<i>center</i>' or '<i>right</i>' depending on your selection. For the normal left-alignment, please leave blank.",
        "id" => $shortname."_navalign",
        "type" => "text"),

array(    "name" => "Content Area",
        "type" => "title"),

array(    "name" => "Link Color",
        "desc" => "The color of links is normally <span style='color:#39F;display:inline'>#3399FF</span>. To change this, please enter a color in hex above (such as #9ab492), including the '#'. For a good color picker, visit <a href='http://acko.net/dev/farbtastic'>here</a> and use the one on the page. <i>Note:</i> this only changes the color of links <i>inside</i> posts.",
        "id" => $shortname."_contentlink",
        "type" => "text"),

array(    "name" => "'Continue Reading Text'",
        "desc" => "The 'continue reading' text is normally '<i>Hooked? Continue reading &raquo;</i>'. If you would like to change this, please enter it here without the &raquo; arrow.",
        "id" => $shortname."_contentcontread",
        "type" => "text"),

array(    "name" => "Footer",
        "type" => "title"),

array(    "name" => "Footer Text",
        "desc" => "If you would like your own text in your footer, please type it in this field (do not use HTML). It is recommended you do not use this at the same time you have the copyright notice or the login/logout link.",
        "id" => $shortname."_footertext",
        "type" => "text"),

array(    "name" => "Copyright Notice",
        "desc" => "Normally enabled, it enables a copyright notice for the current year in your footer. If you would not like this, please type '<i>no</i>'. Otherwise, leave blank or type '<i>yes</i>'.",
        "id" => $shortname."_footercopy",
        "type" => "text"),

array(    "name" => "Login/Logout Link",
        "desc" => "If you would like a login / logout link on your footer for your convenience, please type '<i>yes</i>'. Otherwise, leave blank or type '<i>no</i>'.",
        "id" => $shortname."_footerloginout",
        "type" => "text"),

);

function mytheme_add_admin() {

    global $themename, $shortname, $options;

    if ( $_GET['page'] == basename(__FILE__) ) {

        if ( 'save' == $_REQUEST['action'] ) {

                foreach ($options as $value) {
                    update_option( $value['id'], $_REQUEST[ $value['id'] ] ); }

                foreach ($options as $value) {
                    if( isset( $_REQUEST[ $value['id'] ] ) ) { update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); } }

                header("Location: themes.php?page=functions.php&saved=true");
                die;

        } else if( 'reset' == $_REQUEST['action'] ) {

            foreach ($options as $value) {
                delete_option( $value['id'] ); }

            header("Location: themes.php?page=functions.php&reset=true");
            die;

        }
    }

    add_theme_page($themename." Options", "".$themename." Options", 'edit_themes', basename(__FILE__), 'mytheme_admin');

}
function mytheme_admin() {
    global $themename, $shortname, $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.$themename.' settings saved.</strong></p></div>';
    if ( $_REQUEST['reset'] ) echo '<div id="message" class="updated fade"><p><strong>'.$themename.' settings reset.</strong></p></div>';
?>
<div class="wrap">
<script src="<?php bloginfo('stylesheet_directory'); ?>/cufon.js" type="text/javascript"></script>
<script src="<?php bloginfo('stylesheet_directory'); ?>/droidsans.js" type="text/javascript"></script>
<script type="text/javascript">Cufon.replace('h2');Cufon.replace('h3');</script>
<style>
.wrap {
	width: 90%;
	min-width: 850px;
	max-width: 1100px;
}

#introduction {
	background: url(<?php bloginfo('stylesheet_directory'); ?>/images/adminlogo.jpg) no-repeat;
	padding-left: 115px;
}

.title {
	font-size: 22px;
	font-weight: lighter;
	color: #0d535e;
	margin-bottom: 5px;
	margin-top: 30px;
}

.itemsel {
	color: #555;
	border-bottom: 1px solid #CCC;
	padding-bottom: 15px;
	margin-bottom: 10px;
	margin-top: 10px;
}

.itemsel input {
	width: 50%;
    border: 1px solid #BBB;
}

.itemsel ul {
	padding: 5px 7px;
	background: #EEE;
}

.itemsel .itemexp span {
	color: #555;
	font-weight: bold;
	font-size: 110%;
	padding-top: 15px;
	display: block;
}

.submit {
	position: fixed;
	bottom: 0px;
	background: #DDD;
	border: 1px solid #CCC;
	width: 90%;
	min-width: 850px;
	max-width: 1100px;
	z-index: 99;
	padding: 10px;
}
</style>
<h2 class="title">Welcome to the Stunning Silence options page</h2>
<div id="introduction"><p>Hi there, and thanks for using Stunning Silence as your WordPress theme of choice. Stunning Silence is a highly customizable WordPress theme developed and maintained by Brandon Wang. If you have any questions, please feel free to contact me by visiting my website at <a href="http://brandonwang.org">brandonwang.org.</a></p>
<p>The page you are currently viewing is the options page. It contains useful edits, changes, and modifications you can make to your website that will help it look the way you would like it to look. A variety of options are here.</p>
<p>If you have any modifications you would like that is not on this page, you may dig into the code and try to change what you would like (the stylesheet is well documented) but if you do not understand code, you may request for a change to the author.</p>
<p>Here are some things you are encouraged to do:</p>
<ol><li>Add your Twitter feed; it is one of the best features of Stunning Silence.</li>
<li>Change the color scheme to one of your own choice, including blue, green, pink, gray, and white.</li>
<li>Add widgets to the sidebar; WordPress includes Widgets. Take advantage of them.</li>
<li>Experiment with the various features and capabilities of Stunning Silence.</li>
<li>Add your own text to the footer. You are given the oppurtunity, so why not?</li>
<li>Rate <a href="http://wordpress.org/extend/themes/stunning-silence">this theme</a> on the official WordPress servers.</li></ol>
<p><b>Check frequently for updates as this theme is updated extremely frequently. Enjoy!</b></p>
</div>

<form method="post">
<?php foreach ($options as $value) {
switch ( $value['type'] ) {
	
case "title":
?>
<h3 class="title"><?php echo $value['name']; ?></h3>

<?php break;
case 'text':
?>
<div class="itemsel">
<input name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
<div class="itemexp">
<span><?php echo $value['name']; ?></span><br />
<?php echo $value['desc']; ?>
</div>
</div>
<?php break;

case 'textarea':
?>

<tr>
    <td width="20%" rowspan="2" valign="middle"><strong><?php echo $value['name']; ?></strong></td>
    <td width="80%"><textarea name="<?php echo $value['id']; ?>" style="width:400px; height:200px;" type="<?php echo $value['type']; ?>" cols="" rows=""><?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?></textarea></td>

</tr>

<tr>
    <td><small><?php echo $value['desc']; ?></small></td>
</tr><tr><td colspan="2" style="margin-bottom:5px;border-bottom:1px dotted #000000;">&nbsp;</td></tr><tr><td colspan="2">&nbsp;</td></tr>

<?php
break;

case 'select':
?>
<tr>
    <td width="20%" rowspan="2" valign="middle"><strong><?php echo $value['name']; ?></strong></td>
    <td width="80%"><select style="width:240px;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>"><?php foreach ($value['options'] as $option) { ?><option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option><?php } ?></select></td>
</tr>

<tr>
    <td><small><?php echo $value['desc']; ?></small></td>
</tr><tr><td colspan="2" style="margin-bottom:5px;border-bottom:1px dotted #000000;">&nbsp;</td></tr><tr><td colspan="2">&nbsp;</td></tr>

<?php
break;

case "checkbox":
?>
    <tr>
    <td width="20%" rowspan="2" valign="middle"><strong><?php echo $value['name']; ?></strong></td>
        <td width="80%"><? if(get_settings($value['id'])){ $checked = "checked=\"checked\""; }else{ $checked = ""; } ?>
                <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
                </td>
    </tr>

    <tr>
        <td><small><?php echo $value['desc']; ?></small></td>
   </tr><tr><td colspan="2" style="margin-bottom:5px;border-bottom:1px dotted #000000;">&nbsp;</td></tr><tr><td colspan="2">&nbsp;</td></tr>

<?php         break;

}
}
?>
<div style="height:50px"></div>
<p class="submit">
<input name="save" type="submit" value="Save changes" /><span style="padding-left:10px">When you are done with your changes, do not forget to save them.</span>
<input type="hidden" name="action" value="save" />
</p>
</form>
<form method="post">
If you would like to uninstall Stunning Silence, please reset first. Click the button to the right to reset.<input name="reset" type="submit" value="Reset" style="height:40px;float:right" />
<input type="hidden" name="action" value="reset" />
</form>

<?php
}

if ( function_exists('register_sidebar') )
    register_sidebar(array(
        'before_widget' => '',
        'after_widget' => '',
        'before_title' => '<h2>',
        'after_title' => '</h2>',
    ));
	
add_action('admin_menu', 'mytheme_add_admin'); ?>
<?php
add_filter('comments_template', 'legacy_comments');
function legacy_comments($file) {
	if(!function_exists('wp_list_comments')) : // WP 2.7-only check
		$file = TEMPLATEPATH . '/legacy.comments.php';
	endif;
	return $file;
}
?>